org.codehaus.plexus.classworlds.realm

## Class NoSuchRealmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.classworlds.ClassWorldException
      - - org.codehaus.plexus.classworlds.realm.NoSuchRealmException

All Implemented Interfaces:
  Serializable

    public class NoSuchRealmException
    extends ClassWorldException

Indicates an attempt to retrieve a `ClassRealm` from a `ClassWorld` with an invalid id.

Author:
  bob mcwhirter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchRealmException(ClassWorld world, String id)` Construct.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()` Retrieve the invalid realm id.

### Methods inherited from class org.codehaus.plexus.classworlds.ClassWorldException

`getWorld`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchRealmException

    public NoSuchRealmException(ClassWorld world,
                                String id)

Construct.

Parameters:
  `world` - The world.
  `id` - The realm id.

### Method Detail

#### getId

    public String getId()

Retrieve the invalid realm id.

Returns:
  The id.